set -x
set -e

PATH=$PWD/../_compiled/bin/:$PATH

rmmod_can() {
    modprobe -r lincan
}

load_lincan_hw() {
    rmmod_can
    modprobe -C /dev/null lincan hw=pcican-q io=1 baudrate=1000,1000,1000,1000 processlocal=0
    sleep 0.1
}

load_lincan_virtual() {
    rmmod_can
    modprobe -C /dev/null lincan hw=virtual io=0 baudrate=0
    sleep 0.1
}

load_socketcan() {
    rmmod_can
}
